Part Helix
|
Ubicación en el Menú |
---|
Part → Create Primitives → Helix |
Entornos de trabajo |
Part, OpenSCAD |
Atajo de teclado por defecto |
Ninguno |
Introducido en versión |
- |
Ver también |
.. |
Description
A Part Helix is a parametric shape that can be created with the
Part Primitives command. In the coordinate system defined by its DatosPlacement property, the axis of the helix matches the Z axis and its bottom point, the start point, lies on the X axis.
Usage
See Part Primitives.
Example
A Part Helix object created with the scripting example below is shown here.
Notes
- A Part Helix can be used to create screw threads. See Thread for Screw Tutorial.
Properties
See also: Property editor.
A Part Helix object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Coordinate System
- DatosLocal Coord (
Enumeration
): The handedness, or direction, of the helix:Right-handed
orLeft-handed
. The default isRight-handed
, meaning the helix turns counterclockwise as it goes up.
Helix
- DatosPitch (
Length
): The distance between two consecutive turns of the helix measured along its Z axis. The default is1mm
. - DatosHeight (
Length
): The height of the helix. The default is2mm
. - DatosRadius (
Length
): The start radius of the helix. The helix has a constant radius if DatosAngle is0°
. - DatosSegment Length (
QuantityConstraint
): The number of turns per helix subdivision. The default is1
, meaning each full turn of the helix is a separate segment. Use0
to suppress subdivision. - DatosAngle (
Angle
): The angle that defines of the outer shape of the helix. Valid range:-90° < value < 90°
. The default is0°
. If it is0°
the helix is cylindrical, else it is conical.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Helix can be created with the addObject()
method of the document:
helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
- Where
"myHelix"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))
doc.recompute()
- Primitives: Box, Cylinder, Sphere, Cone, Torus, Tube, Create primitives, Shape builder
- Creation and modification: Extrude, Revolve, Mirror, Fillet, Chamfer, Make face from wires, Ruled Surface, Loft, Sweep, Section, Cross sections, 3D Offset, 2D Offset, Thickness, Projection on surface, Attachment
- Boolean: Make compound, Explode Compound, Compound Filter, Boolean, Cut, Fuse, Common, Connect, Embed, Cutout, Boolean fragments, Slice apart, Slice, XOR
- Measure: Measure Linear, Measure Angular, Measure Refresh, Clear All, Toggle All, Toggle 3D, Toggle Delta

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub